%define name crafty
%define version 17.7
%define release 2mdk

Summary: A free chess program, plays decent game of chess.
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Copyright: Distributable
Group: Games/Boards
URL: http://home.ican.net/~sjl/pages/crafty.html
Requires: xboard
Packager: Konstantin L. Metlov <metlov@fzu.cz>
Buildroot: /var/tmp/%{name}-buildroot

%description
Crafty is a chess program written by Bob Hyatt <hyatt@cis.uab.edu>.
It is modeled after Cray Blitz (also written by Bob). Crafty has the 
following features:
- written in C
- can be compiled with the GNU C compiler on various platforms
- has a customizable opening book (comes as a separate .rpm)
- supports tablebases (Steven Edward's endgame database)
- text interface
How can I get a graphical interface with Crafty? On Unix systems, 
you can use XBoard with Crafty. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr{/bin,/doc/%{name}-%{version},/share/games/crafty}
mkdir -p $RPM_BUILD_ROOT/var/lib/games/crafty
install -m 755 crafty $RPM_BUILD_ROOT/usr/bin/
install -m 644 crafty.faq $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 crafty.doc.ascii $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 read.me $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/

%files
%defattr (-,root,root)
%doc /usr/doc/%{name}-%{version}/crafty.faq 
%doc /usr/doc/%{name}-%{version}/crafty.doc.ascii 
%doc /usr/doc/%{name}-%{version}/read.me
/usr/bin/*
%dir /var/lib/games/crafty
%dir /usr/share/games/crafty

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com>  17.7-2mdk
- fix group
- spec helper fixes

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v17.7
- add docs

* Fri Mar 19 1999 Konstantin L. Metlov <metlov@fzu.cz>
- updated for Crafty 16.6
- moved tablebase directory to /usr/share/games/crafty . 
